Bug 975121 - (CVE-2013-2459) CVE-2013-2459 OpenJDK: Various AWT integer overflow checks (AWT, 8009071)
CVE-2013-2459 OpenJDK: Various AWT integer overflow checks (AWT, 8009071)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130618,repor...
: Security
Depends On:
Blocks: 973111 973116
  Show dependency treegraph
 
Reported: 2013-06-17 12:23 EDT by Stefan Cornelius
Modified: 2016-03-04 06:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 12:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2013-06-17 12:23:02 EDT
It was discovered that various parts of the AWT component did not properly perform integer overflow checks. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.
Comment 1 Jan Lieskovsky 2013-06-19 10:16:31 EDT
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html
Comment 2 errata-xmlrpc 2013-06-19 20:05:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html
Comment 3 errata-xmlrpc 2013-06-19 20:09:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html
Comment 4 Stefan Cornelius 2013-06-20 07:54:47 EDT
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/c98afec1bf86
Comment 5 errata-xmlrpc 2013-06-20 10:53:06 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html
Comment 6 errata-xmlrpc 2013-07-03 13:11:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1014 https://rhn.redhat.com/errata/RHSA-2013-1014.html
Comment 7 errata-xmlrpc 2013-07-15 16:43:34 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html
Comment 8 errata-xmlrpc 2013-07-15 16:53:49 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1059 https://rhn.redhat.com/errata/RHSA-2013-1059.html
Comment 9 errata-xmlrpc 2013-07-16 13:22:49 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1081 https://rhn.redhat.com/errata/RHSA-2013-1081.html
Comment 11 errata-xmlrpc 2013-10-23 12:44:13 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html
Comment 12 errata-xmlrpc 2013-10-23 12:54:47 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html
Comment 13 errata-xmlrpc 2014-04-17 07:34:26 EDT
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html

Note You need to log in before you can comment on or make changes to this bug.